package com.nantian.cloud.dbcapp.service;


import com.alibaba.fastjson.JSONArray;
import com.nantian.cloud.dbcapp.dto.ExceptionByAreaBo;
import com.nantian.cloud.dbcapp.vo.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
* @Description: 手机端服务层
* @Param:
* @return:
* @Author: zfw
* @Date: 2020/1/12
* @Date: 20:16
*/
public interface MobileService {

   //获取综合能耗
   JSONArray getTotal(String area, String industry, String time);

   MobileInfoVO getCompanyInfo(String enterpriseCode, String time);

   JSONArray getSumMeasurer(String areaCode);

   List<MobileMeasureVODto> getSumMeasurerList(String cmpName,String area, String industry);

    Map<String, Integer> getInstrumentsNum(String areaCode);

   List<InstrumentsInfoVo> getInstrumentsInfo(String cmpName, String area, String industry,String level);

   Integer getSumTask(String areaCode);

   List<MobileTaskVO> getSumTaskList(String name,String type);

    List<MobileUpDateCountryVo> getUpDateCountryInfo(String time, String area, String industry);

    List<MobileEnterpriseVo> getUpDateEnterpriseInfo(String cmpName, String area, String industry);

   HashMap<String, List<UpdateEnterpriseInfo>> getUpDateEnterpriseSimple(String cmpName, String time);

    String getName(String code);

    List<ExceptionByDay> getExceptionByDay(String time,String area);

    List<ExceptionByAreaBo> getExceptionByArea(String time, String area);

    List<InstrumentsByArea> getSumMeasurerByArea(String cmpName, String area, String industry);

    List<InstrumentsByArea> getInstrumentsNumByArea(String cmpName, String area, String industry, String level);

    List<MobileUpDateCountryVo> getUpDateCountryInfoNew(String time, String area, String industry);

    List<Integer> getEnterpriseNum(String industry, String area);

    /*//按照地区获取用能单位
    JSONArray getCompanyByArea(String area, String industry, String time);

    //能源消费结构
    JSONArray getConsumption(String area, String industry, String time);

    //行业综合能耗
    Map<String,Object> getEnergyByIndustry(String area, String industry, String time);

    //地区综合能耗
    Map<String,Object> getEnergyByArea(String area, String industry, String time);

    //查询煤消耗量
    Map<String,Object> getCoalConsumption(String area, String industry, String time);

    //查询工业水消耗量
    Map<String,Object> getWaterConsumption(String area, String industry, String time);
    // 查询异常信息
    ExceptionIndexInfo getExceptionInfo(String area, String industry, String time);


   //按地区查询总和能耗
   List<KeyValueVO> getTceByArea(String area, String time);

   //按行业查询综合能耗
   List<KeyValueVO> getTceByIndustry(String industry, String time);

   //查询区县名称
   List<KeyValueVO> getCountyName(String area);

    Integer getToolInfo(String area, String industry, String time);

    List<CompanyEnergyInfoVo> getCompanyListEnergyInfo(String area, String industry, String time, String cmpName);*/
}
